/**
 * Created by jayhamilton on 1/24/17.
 */
import { EventEmitter } from '@angular/core';
import { ConfigurationService } from '../../services/configuration.service';
/**
 * Message Modal - clasable modal with message
 *
 * Selector message-modal
 *
 * Methods
 *      popMessageModal - display a message modal for a sepcified duration
 *      showMessageModal - show the message modal
 *      hideMessageModal - hide the message modal
 */
export declare class BoardsConfigurationTabComponent {
    private _configurationService;
    dashboardCreateEvent: EventEmitter<any>;
    dashboardEditEvent: EventEmitter<any>;
    dashboardDeleteEvent: EventEmitter<any>;
    dashboardList: any[];
    newDashboardItem: string;
    env: any;
    constructor(_configurationService: ConfigurationService);
    createBoard(name: string): void;
    editBoard(name: string): void;
    deleteBoard(name: string): void;
}
