/**
 * Created by jayhamilton on 1/24/17.
 */
import { AfterViewInit, ElementRef } from '@angular/core';
import { Facet } from '../../facet/facet-model';
/**
 * Message Modal - clasable modal with message
 *
 * Selector message-modal
 *
 * Methods
 *      popMessageModal - display a message modal for a sepcified duration
 *      showMessageModal - show the message modal
 *      hideMessageModal - hide the message modal
 */
export declare class VisDrillDownComponent implements AfterViewInit {
    modalicon: string;
    modalheader: string;
    modalconfig: string;
    vms: any[];
    objectList: any[];
    objectTitleList: string[];
    placeHolderText: string;
    layoutColumnOneWidth: string;
    layoutColumnTwoWidth: string;
    facetTags: Array<Facet>;
    vismodalaRef: ElementRef;
    configModal: any;
    constructor();
    showMessageModal(icon: string, header: string, message: string): void;
    hideMessageModal(): void;
    ngAfterViewInit(): void;
    showDrillDownDetail($event: any): void;
    showDetail($event: any): void;
}
