export declare const sampleBoardCollection: {
    board: {
        title: string;
        structure: string;
        id: number;
        boardInstanceId: number;
        rows: {
            columns: {
                styleClass: string;
                gadgets: {
                    componentType: string;
                    name: string;
                    description: string;
                    icon: string;
                    instanceId: number;
                    tags: {
                        facet: string;
                        name: string;
                    }[];
                    config: {
                        propertyPages: ({
                            displayName: string;
                            groupId: string;
                            position: number;
                            properties: ({
                                value: string;
                                key: string;
                                label: string;
                                required: boolean;
                                order: number;
                                controlType: string;
                                options?: undefined;
                            } | {
                                value: number;
                                key: string;
                                label: string;
                                required: boolean;
                                order: number;
                                controlType: string;
                                options?: undefined;
                            } | {
                                value: string;
                                key: string;
                                label: string;
                                required: boolean;
                                order: number;
                                controlType: string;
                                options: {
                                    key: string;
                                    value: string;
                                }[];
                            } | {
                                value: number;
                                key: string;
                                required: boolean;
                                order: number;
                                controlType: string;
                                label?: undefined;
                                options?: undefined;
                            })[];
                        } | {
                            displayName: string;
                            groupId: string;
                            position: number;
                            properties: {
                                value: boolean;
                                key: string;
                                label: string;
                                required: boolean;
                                order: number;
                                controlType: string;
                            }[];
                        })[];
                    };
                }[];
            }[];
        }[];
    }[];
};
