/**
 * Created by jayhamilton on 1/24/17.
 */
import { AfterViewInit } from '@angular/core';
import { AboutService } from './service';
/**
 * Message Modal - clasable modal with message
 *
 * Selector message-modal
 *
 * Methods
 *      popMessageModal - display a message modal for a sepcified duration
 *      showMessageModal - show the message modal
 *      hideMessageModal - hide the message modal
 */
export declare class AboutComponent implements AfterViewInit {
    private _aboutService;
    modalHeader: string;
    apiVersion: string;
    messageModal: any;
    env: any;
    constructor(_aboutService: AboutService);
    ngAfterViewInit(): void;
    getVersion(): void;
}
