/**
 * Created by jayhamilton on 1/24/17.
 */
import { AfterViewInit, ElementRef, EventEmitter } from '@angular/core';
import { AddGadgetService } from './service';
import { Facet } from '../facet/facet-model';
/**
 * Message Modal - clasable modal with message
 *
 * Selector message-modal
 *
 * Methods
 *      popMessageModal - display a message modal for a sepcified duration
 *      showMessageModal - show the message modal
 *      hideMessageModal - hide the message modal
 */
export declare class AddGadgetComponent implements AfterViewInit {
    private _addGadgetService;
    addGadgetEvent: EventEmitter<any>;
    gadgetObjectList: any[];
    gadgetObjectTitleList: string[];
    placeHolderText: string;
    layoutColumnOneWidth: string;
    layoutColumnTwoWidth: string;
    listHeader: string;
    facetTags: Array<Facet>;
    color: string;
    typeAheadIsInMenu: boolean;
    modalicon: string;
    modalheader: string;
    modalmessage: string;
    messagemodalRef: ElementRef;
    messageModal: any;
    constructor(_addGadgetService: AddGadgetService);
    actionHandler(actionItem: any, actionName: any): void;
    showMessageModal(icon: string, header: string, message: string): void;
    showComponentLibraryModal(header: string): void;
    hideMessageModal(): void;
    ngAfterViewInit(): void;
    getObjectList(): void;
}
