/**
 * Created by jayhamilton on 1/24/17.
 */
import { AfterViewInit, ElementRef, EventEmitter } from '@angular/core';
/**
 * Message Modal - clasable modal with message
 *
 * Selector message-modal
 *
 * Methods
 *      popMessageModal - display a message modal for a sepcified duration
 *      showMessageModal - show the message modal
 *      hideMessageModal - hide the message modal
 */
export declare class ConfigurationComponent implements AfterViewInit {
    dashboardCreateEvent: EventEmitter<any>;
    dashboardEditEvent: EventEmitter<any>;
    dashboardDeleteEvent: EventEmitter<any>;
    dashboardList: any[];
    newDashboardItem: string;
    modalicon: string;
    modalheader: string;
    modalconfig: string;
    env: any;
    boardconfigmodalaRef: ElementRef;
    configModal: any;
    currentTab: string;
    tabsModel: any[];
    constructor();
    showConfigurationModal(header: string): void;
    hideMessageModal(): void;
    createBoard(name: string): void;
    editBoard(name: string): void;
    deleteBoard(name: string): void;
    ngAfterViewInit(): void;
    setCurrentTab(tab_index: any): void;
}
