import { Observable } from 'rxjs';
export declare class OptionsService {
    optionsCollectionName: string;
    defaultOptions: {
        enableHover: boolean;
        displayGadgetOptionsInSideBar: boolean;
    };
    private globalOptionsChangeEventSubject;
    constructor();
    getBoardOptions(): any;
    setBoardOptions(options: any): void;
    /**
     * The gadget-base can use this method to subscribe to events that are created when the global options change.
     */
    listenForGlobalOptionsChanges(): Observable<string>;
    private persistDefautBoardOptions;
}
