/**
 * Created by jayhamilton on 2/5/17.
 */
import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { PropertyControlService } from './property-control.service';
import { ConfigurationService } from '../services/configuration.service';
export declare class DynamicFormComponent implements OnInit, AfterViewInit {
    private pcs;
    private configService;
    private changeDetectionRef;
    gadgetTags: any[];
    propertyPages: any[];
    instanceId: number;
    updatePropertiesEvent: EventEmitter<any>;
    currentTab: string;
    state: string;
    lastActiveTab: {};
    form: FormGroup;
    payLoad: string;
    showMessage: boolean;
    constructor(pcs: PropertyControlService, configService: ConfigurationService, changeDetectionRef: ChangeDetectorRef);
    get isPropertyPageValid(): boolean;
    ngAfterViewInit(): void;
    ngOnInit(): void;
    onSubmit(): void;
    setCurrentTab(tab: any): void;
}
