/**
 * Created by jayhamilton on 1/24/17.
 */
import { AfterViewInit, ElementRef } from '@angular/core';
/**
 * Message Modal - clasable modal with message
 *
 * Selector message-modal
 *
 * Methods
 *      popMessageModal - display a message modal for a sepcified duration
 *      showMessageModal - show the message modal
 *      hideMessageModal - hide the message modal
 */
export declare class HelpModalComponent implements AfterViewInit {
    topic: any;
    modalicon: string;
    modalheader: string;
    modalconfig: string;
    helpmodalaRef: ElementRef;
    configModal: any;
    constructor();
    showMessageModal(icon: string, header: string, message: string): void;
    hideMessageModal(): void;
    ngAfterViewInit(): void;
    showHelp(): void;
}
