/**
 * Created by jayhamilton on 1/24/17.
 */
import { EventEmitter } from '@angular/core';
/**
 * Message Modal - clasable modal with message
 *
 * Selector message-modal
 *
 * Methods
 *      popMessageModal - display a message modal for a sepcified duration
 *      showMessageModal - show the message modal
 *      hideMessageModal - hide the message modal
 */
export declare class BoardLayoutManagerComponent {
    layoutId: any;
    boardLayoutChangeEvent: EventEmitter<any>;
    boardLayouts: any[];
    modalHeader: string;
    messageModal: any;
    constructor();
    selectBoardLayout(layoutId: number): void;
    initializeLayouts(): void;
}
