import { AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { ConfigurationService } from '../services/configuration.service';
import { MenuEventService } from './menu-service';
/**a
 * Menu component
 *
 */
export declare class MenuComponent implements OnInit, AfterViewInit {
    private _configurationService;
    private _menuEventService;
    host: string;
    dashboardList: any[];
    selectedBoard: string;
    placeHolderText: string;
    searchList: Array<string>;
    env: any;
    show: boolean;
    notificationSideBarRef: ElementRef;
    layoutSideBarRef: ElementRef;
    aboutSideBarRef: ElementRef;
    stickyMenuRef: ElementRef;
    notificationSideBar: any;
    layoutSideBar: any;
    aboutSideBar: any;
    stickyMenu: any;
    typeAheadIsInMenu: boolean;
    layoutId: number;
    constructor(_configurationService: ConfigurationService, _menuEventService: MenuEventService);
    setupEventListeners(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    emitBoardChangeLayoutEvent(event: any): void;
    emitBoardSelectEvent(event: any): void;
    emitBoardCreateEvent(event: any): void;
    emitBoardEditEvent(event: any): void;
    emitBoardDeleteEvent(event: any): void;
    emitBoardAddGadgetEvent(event: any): void;
    emitBoardAIAddGadgetEvent(event: any): void;
    updateDashboardMenu(selectedBoard: string): void;
    boardSelect(selectedBoard: string): void;
    toggleLayoutSideBar(): void;
    toggleNotificationSideBar(): void;
    toggleAboutSideBar(): void;
}
