import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Board } from '../grid/Board';
export declare class ConfigurationService {
    private _http;
    model: Board;
    currentModel: any;
    demo: boolean;
    env: any;
    defaultBoard: any;
    sampleBoardCollection: any;
    /**
     * todo - fix this hard coded store
     * @type {string}
     */
    remoteConfigurationRepository: string;
    constructor(_http: HttpClient);
    getBoards(): Observable<any>;
    saveBoard(board: Board): Observable<Object>;
    deleteBoard(boardTitle: string): Observable<Object>;
    getDefaultBoard(): Observable<unknown>;
    notifyGadgetOnPropertyChange(gadgetConfig: string, instanceId: number): void;
    setCurrentModel(_currentModel: any): void;
    savePropertyPageConfigurationToStore(gadgetConfig: string, instanceId: number): void;
    updateProperties(updatedProperties: any, gadget: any, instanceId: number): void;
    private seedLocalStorageWithSampleBoardCollection;
    private delete;
    private deleteBoardFromLocalStore;
}
